#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: tls
version: 1.4.0
id: tls-1.4.0-DUjRpAMZEHBIySIXtFteXe
key: tls-1.4.0-DUjRpAMZEHBIySIXtFteXe
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
synopsis: TLS/SSL protocol native implementation (Server and Client)
description:
    Native Haskell TLS and SSL protocol implementation for server and client.
    .
    This provides a high-level implementation of a sensitive security protocol,
    eliminating a common set of security issues through the use of the advanced
    type system, high level constructions and common Haskell features.
    .
    Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
    and support RSA and Ephemeral (Elliptic curve and regular) Diffie Hellman key exchanges,
    and many extensions.
    .
    Some debug tools linked with tls, are available through the
    <http://hackage.haskell.org/package/tls-debug/>.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Network.TLS Network.TLS.Cipher Network.TLS.Compression
    Network.TLS.Extra Network.TLS.Extra.Cipher Network.TLS.Extra.FFDHE
    Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Context.Internal
                Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
                Network.TLS.Crypto.DH Network.TLS.Crypto.IES
                Network.TLS.Crypto.Types Network.TLS.ErrT Network.TLS.Extension
                Network.TLS.Handshake Network.TLS.Handshake.Common
                Network.TLS.Handshake.Certificate Network.TLS.Handshake.Key
                Network.TLS.Handshake.Client Network.TLS.Handshake.Server
                Network.TLS.Handshake.Process Network.TLS.Handshake.Signature
                Network.TLS.Handshake.State Network.TLS.Hooks Network.TLS.IO
                Network.TLS.Imports Network.TLS.MAC Network.TLS.Measurement
                Network.TLS.Packet Network.TLS.Parameters Network.TLS.Record
                Network.TLS.Record.Types Network.TLS.Record.Engage
                Network.TLS.Record.Disengage Network.TLS.Record.State
                Network.TLS.RNG Network.TLS.State Network.TLS.Session
                Network.TLS.Sending Network.TLS.Receiving Network.TLS.Util
                Network.TLS.Util.ASN1 Network.TLS.Util.Serialization
                Network.TLS.Types Network.TLS.Wire Network.TLS.X509
abi: 3640de764ce719572b5f1552b01ce71e
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/tls-1.4.0
library-dirs: /usr/lib/ghc-8.2.1/site-local/tls-1.4.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/tls-1.4.0
hs-libraries: HStls-1.4.0-DUjRpAMZEHBIySIXtFteXe
depends:
    base-4.10.0.0 mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3 transformers-0.5.2.0
    cereal-0.5.4.0-AV9aAoAC3OtC6kJvAolohE bytestring-0.10.8.2
    data-default-class-0.1.2.0-K0O6u0ifzTuLE4f7kBhgzp
    memory-0.14.8-HEYe2msABjoBOvbV0yaOyF
    cryptonite-0.24-JQ3NPvIvMVWG9FHR2Q0Evi
    asn1-types-0.3.2-EtZT2ZJVgtsHoacxlkz9v7
    asn1-encoding-0.9.5-IbtBEvbsKOBAFXA8bzYUf0
    x509-1.7.2-GGwd2ufTO2hGHMdnUGdGxK
    x509-store-1.6.5-LD5YvbSiPfH20g7GI1Nnb0
    x509-validation-1.6.9-IYzPjAhEFd7JgD8qj1KkV5
    async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc
    network-2.6.3.2-8o5F7G3DMrLGgmHkPzZYJx
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=14e57a3b735adfe06c357bcc64de3dbd
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             cereal-0.5.4.0-AV9aAoAC3OtC6kJvAolohE=45711223006f2eb72f62bbe45f216d21
             bytestring-0.10.8.2=db54a9a10f4b3abcd860c80f928b2ae9
             data-default-class-0.1.2.0-K0O6u0ifzTuLE4f7kBhgzp=55d8edbe337279f21d58496f3f779cb9
             memory-0.14.8-HEYe2msABjoBOvbV0yaOyF=4c821a304108f2b075d812c81435d53c
             cryptonite-0.24-JQ3NPvIvMVWG9FHR2Q0Evi=1928ece35e67ec41b499da4f70bba50f
             asn1-types-0.3.2-EtZT2ZJVgtsHoacxlkz9v7=f2137186d677937bbd84fceb048c4622
             asn1-encoding-0.9.5-IbtBEvbsKOBAFXA8bzYUf0=c3cc95f30ea84cd7e1e5137c7383bf44
             x509-1.7.2-GGwd2ufTO2hGHMdnUGdGxK=39f4043fcaba78034ec90fcaccdf1c13
             x509-store-1.6.5-LD5YvbSiPfH20g7GI1Nnb0=54926ca59da2f1af69e5b99636f64477
             x509-validation-1.6.9-IYzPjAhEFd7JgD8qj1KkV5=36c8f629387e5d0a117556e960af926c
             async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc=12ffabdf3957a0bddb91126c0d755daa
             network-2.6.3.2-8o5F7G3DMrLGgmHkPzZYJx=dc3f2353580d7555dd3bad96e9f5af9d
haddock-interfaces: /usr/share/doc/haskell-tls/html/tls.haddock
haddock-html: /usr/share/doc/haskell-tls/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

